package connectionRules;

import java.util.*;

import utilities.Individual;
/**
* An interface for the rule that players use to determine how to modify their connections
* @author Kevin Zollman
*/
public interface ConnectionRule {
        
        /**
        * The function to reset thing for the new generation
        */
        public void newGeneration();
        
        /**
        * The function to form connections
        * @param i The calling individual
        * @return A hash set of individuals which constitutes the individuals neighbors
        */
        public HashSet formConnection(Individual i);
}

