package learningRules;
import utilities.Individual;
import utilities.ModelError;


/**
* An interface for strategy learning
*/
public interface LearningRule {
        /**
        * A function that resets the learning rule for a new generation
        * @param i The calling individual
        */
        public void newGeneration(Individual i) throws ModelError;

        /**
        * Process the payoffs once they have played the game fully
        * @param i The calling individual
        */
        public void processPayoff(Individual i) throws ModelError;
        
        /**
        * Pick a strategy to play in a new generation
        * @param i The calling individual
        */
        public int pickStrat(Individual i);
}
