package utilities;

/**
* A jobs object which contains the information for one job of the model (i.e. one network)
* @author Kevin Zollman
*/
public class Jobs {

        int JobID;
        /**
        * Returns the job id number
        * @return The job id number
        */
        public int getJobID() {return JobID;}
        
        String JobDescrip;
        /**
        * Returns the description of the job
        * @return The description
        */
        public String getDescrip() {return JobDescrip; }
        
        int[][] adjMatrix;
        /**
        * Returns the adjacency matrix
        * @return The matrix
        */
        public int[][] getMatrix() { return adjMatrix; }
        
        /**
        * Returns a job object that is fully specified
        * @param i The id number
        * @param d The description of the job
        * @param m The adjacency matrix
        */
        public Jobs(int i, String d, int[][] m) { JobID = i; JobDescrip = d; adjMatrix = m;}
}
